从外部存储恢复快照 (V2)
申请开通从外部存储的快照恢复 Collection。
POST/v2/vectordb/jobs/snapshot/restore_external
该 API 的 Base URL 格式如下:
https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530
📘说明
- 如果您使用的是服务集群,请使用集群端点。
Free 与 Serverless 版
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated 版
https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530
控制面接口速率限制为单用户单接口每秒最多 20 个请求。
shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530"
参数
Authorizationstringheader
认证令牌,应为具备适当权限的 API 密钥。
示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring
目标数据库名称。
targetCollectionNamestring必填项
目标 Collection 名称。
snapshotMetadataURIstring必填项
要恢复的快照元数据对象存储 URI。
externalSpecstring
可选的外部存储配置。
bash
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/snapshot/restore_external" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"targetCollectionName": "restored_collection",
"snapshotMetadataURI": "s3://bucket/snapshots/snapshot_2026_01",
"externalSpec": ""
}'
响应200 OK - application/json
从外部存储的快照恢复 Collection。
codeinteger必填项
响应码。
dataobject必填项
jobIdinteger<int64>必填项
创建的恢复任务唯一标识符。
codeinteger必填项
响应码。
messagestring必填项
错误描述。
Successjson
{
"code": 0,
"data": {
"jobId": 451799928999570200
}
}